Index: mincjg.f
===================================================================
--- mincjg.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ mincjg.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,42 +1,42 @@
-c **************************************************************
-c
-c This file contains the subroutines: mincjg
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c ********************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: mincjg
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! ********************************************************************
       subroutine mincjg(n,mxn,x,f,g,acur,d,xa,ga,dt,yt,gt,maxfun,nfun)
 
-c ....................................................................
-c
-c  Conjugate Gradient Minimizer
-c
-c  INPUT:   X,F,G - variables, value of FUNC, gradient at START/
-c           ACUR - convergence is assumed if ACUR > SUM ( G(I)**2 )
-c           MAXFUN - maximum overall number of function calls
-c
-c  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
-c           NFUN  - overall number of function calls used
-c
-c  ARRAYS:  D,XA,GA,YT,DT,GT - dimension N
-c
-c  CALLS:   MOVE - calculate function & its gradients for current X
-c
-c  PARAMETERS:  AMF    - rough estimate of first reduction in F, used
-c                        to guess initial step of 1st line search
-c               MXFCON - see 'ier=4'
-c               MAXLIN -
-c
-c  DIAGNOSTICS (ier)
-c
-c           = 0: minimization completed successfully
-c           = 1: number of steps reached MAXFUN
-c           = 2: line search was abandoned
-c           = 3: search direction is uphill
-c           = 4: two consecutive line searches failed to reduce F
-c ....................................................................
+! ....................................................................
+!
+!  Conjugate Gradient Minimizer
+!
+!  INPUT:   X,F,G - variables, value of FUNC, gradient at START/
+!           ACUR - convergence is assumed if ACUR > SUM ( G(I)**2 )
+!           MAXFUN - maximum overall number of function calls
+!
+!  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
+!           NFUN  - overall number of function calls used
+!
+!  ARRAYS:  D,XA,GA,YT,DT,GT - dimension N
+!
+!  CALLS:   MOVE - calculate function & its gradients for current X
+!
+!  PARAMETERS:  AMF    - rough estimate of first reduction in F, used
+!                        to guess initial step of 1st line search
+!               MXFCON - see 'ier=4'
+!               MAXLIN -
+!
+!  DIAGNOSTICS (ier)
+!
+!           = 0: minimization completed successfully
+!           = 1: number of steps reached MAXFUN
+!           = 2: line search was abandoned
+!           = 3: search direction is uphill
+!           = 4: two consecutive line searches failed to reduce F
+! ....................................................................
 
       implicit real*8 (a-h,o-z)
@@ -44,11 +44,11 @@
 
       parameter (AMF = 10.d0,
-     #           MXFCON = 2,
-     #           MAXLIN = 5,
-     #           TOL = 1.d-7,  ! controls 'stepch'
-     #           EPS = .7d0)
+     &           MXFCON = 2,
+     &           MAXLIN = 5,
+     &           TOL = 1.d-7,  ! controls 'stepch'
+     &           EPS = .7d0)
 
       dimension x(mxn),g(mxn),
-     #          d(mxn),xa(mxn),ga(mxn),dt(mxn),yt(mxn),gt(mxn)
+     &          d(mxn),xa(mxn),ga(mxn),dt(mxn),yt(mxn),gt(mxn)
 
 
@@ -154,5 +154,5 @@
 
         if ( nfun .gt. (nfbeg + 1) .or.
-     #       abs(gdmi/gdit) .gt. EPS ) then
+     &       abs(gdmi/gdit) .gt. EPS ) then
 
           ier=2
@@ -205,5 +205,5 @@
 
       if ( (gdmi * gspln) .lt. 0.d0 )  stepch = stepch * gdmi /
-     #                                          (gdmi - gspln)
+     &                                          (gdmi - gspln)
 
       goto 2
@@ -242,5 +242,5 @@
 
         if (iterrs .ne. 0 .and. (iter - iterrs) .lt. (n-1) .and.
-     #      abs(sum) .lt. gsq2 ) then
+     &      abs(sum) .lt. gsq2 ) then
 
           gama = 0.d0
Index: minim.f
===================================================================
--- minim.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ minim.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,34 +1,34 @@
-c **************************************************************
-c
-c This file contains the subroutines: minim,move
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: minim,move
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
 
       subroutine minim(imin, maxit, eps)
 
-c ......................................................................
-c PURPOSE: Use minimizers
-c
-c          imin = 1:  use Quasi-Newton
-c          imin = 2:  use Conjugated Gradients
-c
-c          @param maxit maximum number of iterations 
-c          @param eps acceptance criterium
-cInstitute
-c CALLS: difang,energy,gradient, mincjg,minqsn, nursvr
-c ......................................................................
+! ......................................................................
+! PURPOSE: Use minimizers
+!
+!          imin = 1:  use Quasi-Newton
+!          imin = 2:  use Conjugated Gradients
+!
+!          @param maxit maximum number of iterations 
+!          @param eps acceptance criterium
+!Institute
+! CALLS: difang,energy,gradient, mincjg,minqsn, nursvr
+! ......................................................................
 
       include 'INCL.H'
-cf2py intent(in) imin
-cf2py intent(in) maxit
-cf2py intent(in) eps
+!f2py intent(in) imin
+!f2py intent(in) maxit
+!f2py intent(in) eps
       parameter (msvmx=mxvr*(mxvr+5)/(2*(2*mxvr+1)),   
-     #            msv  = 50 )                             
+     &            msv  = 50 )                             
 
       dimension w(mxvr*(mxvr+13)/2)
@@ -36,5 +36,5 @@
       dimension vlvrn(mxvr),vlvro(mxvr),gdvr(mxvr),scl(mxvr)
 
-c --------------------------- new
+! --------------------------- new
       dimension gbpro(6,mxml)
 
@@ -47,5 +47,5 @@
       endif
 
-c ----------------------- energy & gradient
+! ----------------------- energy & gradient
 
       call gradient()
@@ -56,7 +56,7 @@
 
         write (*,'(a,e12.5,/,3(a,e11.4),/,2(a,e11.4),/)') ' Total: ',
-     #    eysm,
-     #    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
-     #    '   Variables: ',eyvr,'  Solvatation: ',eysl
+     &    eysm,
+     &    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     &    '   Variables: ',eyvr,'  Solvatation: ',eysl
 
        else
@@ -64,12 +64,12 @@
 
         write (*,'(a,e12.5,/,3(a,e11.4),/,3(a,e11.4),/)') ' Total: ',
-     #    wtey*eysm + wtrg*eyrg,
-     #    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
-     #    '   Variables: ',eyvr,'  Solvatation: ',eysl,
-     #    ' Regularization: ',eyrg
+     &    wtey*eysm + wtrg*eyrg,
+     &    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     &    '   Variables: ',eyvr,'  Solvatation: ',eysl,
+     &    ' Regularization: ',eyrg
 
        endif
 
-c --------------------------------------- variables
+! --------------------------------------- variables
 
       ntlvr=ivrml1(ntlml)+nvrml(ntlml)-1
@@ -129,11 +129,11 @@
         enddo
 
-c        if (abs(wtrg-1.d0).gt.1.d-4.and.abs(wtey-1.d0).gt.1.d-4) then
-c          gdey2 = max(acc,gdey2)
-c          gdrg2 = max(acc,gdrg2)
-c          wtrg = wtrg * sqrt(gdey2/gdrg2)
-c          write(*,*)  ' -->    Wt_energy = ',wtey,'  Wt_regul. = ',wtrg
-c          write(*,*)  '  '
-c        endif
+!        if (abs(wtrg-1.d0).gt.1.d-4.and.abs(wtey-1.d0).gt.1.d-4) then
+!          gdey2 = max(acc,gdey2)
+!          gdrg2 = max(acc,gdrg2)
+!          wtrg = wtrg * sqrt(gdey2/gdrg2)
+!          write(*,*)  ' -->    Wt_energy = ',wtey,'  Wt_regul. = ',wtrg
+!          write(*,*)  '  '
+!        endif
 
         esm=wtey*eysm+wtrg*eyrg
@@ -152,5 +152,5 @@
 
         call minqsn(n,mxvr,vlvrn,esm,gdvr,scl,acc,w,w(n1),w(n2),
-     #              w(n3),w(n4),w(n5),w(n6),mxop,nop)
+     &              w(n3),w(n4),w(n5),w(n6),mxop,nop)
 
       elseif (imin.eq.2) then ! Conjugated Gradients
@@ -163,5 +163,5 @@
 
         call mincjg(n,mxvr,vlvrn,esm,gdvr,acc,w,w(n1),w(n2),  ! no 'scl'
-     #              w(n3),w(n4),w(n5),mxop,nop)
+     &              w(n3),w(n4),w(n5),mxop,nop)
 
       endif
@@ -176,5 +176,5 @@
 
       write (*,'(/,2a,/)') ' Final energies ',
-     # '__________________________________________________'
+     & '__________________________________________________'
 
       eysm = energy()
@@ -183,14 +183,14 @@
 
         write (*,'(a,e12.5,/,3(a,e11.4),/,2(a,e11.4))') ' Total: ',eysm,
-     #  '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
-     #  '   Variables: ',eyvr,'  Solvatation: ',eysl
+     &  '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     &  '   Variables: ',eyvr,'  Solvatation: ',eysl
 
       else
 
         write (*,'(a,e12.5,/,3(a,e11.4),/,3(a,e11.4))') ' Total: ',
-     #      wtey*eysm + wtrg*eyrg,
-     #  '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
-     #  '   Variables: ',eyvr,'  Solvatation: ',eysl,
-     #  ' Regularization: ',eyrg
+     &      wtey*eysm + wtrg*eyrg,
+     &  '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     &  '   Variables: ',eyvr,'  Solvatation: ',eysl,
+     &  ' Regularization: ',eyrg
 
       endif
@@ -207,5 +207,5 @@
 
           write (*,'(1x,a,1x,i4,f8.1,a,f5.1,a)') nmvr(i),nursvr(i),
-     #        vr*crd,'    (',abs(difang(vr,vlvro(i)))*crd,')'
+     &        vr*crd,'    (',abs(difang(vr,vlvro(i)))*crd,')'
 
           vlvr(i) = vr
@@ -231,5 +231,5 @@
 
       write (*,'(/,2a)') ' Gradient ',
-     # '______________________________________________________________'
+     & '______________________________________________________________'
 
       write (*,'(8(1x,f8.3))') (gdvr(i),i=1,nv)
@@ -244,9 +244,9 @@
       return
       end
-c ********************************************
+! ********************************************
       subroutine move(nop,nvr1,esm,vlvrn,gdvr)
-c
-c CALLS: gradient
-c
+!
+! CALLS: gradient
+!
       include 'INCL.H'
 
@@ -254,5 +254,5 @@
 
 
-c ------------------------ compile & new variables
+! ------------------------ compile & new variables
 
       ntlvr=ivrml1(ntlml)+nvrml(ntlml)-1
@@ -278,5 +278,5 @@
       endif
 
-c -------------------------- new minimz. gradient
+! -------------------------- new minimz. gradient
 
       call gradient()
@@ -309,5 +309,5 @@
 
         write (*,'(a,i5,a,2(e13.6,a))') ' Step ',nop,': energy ',esm
-     #                                 ,'  (',gdsmey,' )'
+     &                                 ,'  (',gdsmey,' )'
 
       else
@@ -328,5 +328,5 @@
 
         write (*,'(a,i5,a,3(e13.6,a))') ' Step ',nop,': energy ',esm
-     #                                 ,'  (',gdsmey,',',gdsmrg,' )'
+     &                                 ,'  (',gdsmey,',',gdsmrg,' )'
 
       endif
Index: minqsn.f
===================================================================
--- minqsn.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ minqsn.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,58 +1,58 @@
-c **************************************************************
-c
-c This file contains the subroutines: minqsn,mc11a,mc11e
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: minqsn,mc11a,mc11e
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine minqsn(n,mxn,x,f,g,scal,acur,h,d,w,xa,ga,xb,gb,maxfun,
-     #                  nfun)
-
-c .............................................................
-c  PURPOSE: Quasi-Newton minimizer
-c
-c           Unconstrained local minimization of function FUNC
-c           vs. N variables by quasi-Newton method using BFGS-
-c           formula to update hessian matrix; approximate line
-c           searches performed using cubic extra-/interpolation
-c           [see Gill P.E., Murray W., Wright M.H., Practical
-c            Optimization, Ch. 2.2.5.7, 4.3.2.1 ff.,4.4.2.2.,
-c            4.5.2.1]
-c
-c  INPUT:   X,F,G - variables, value of FUNC, gradient at START
-c           SCAL  - factors to reduce(increase) initial step &
-c                   its lower bound for line searches, diagonal
-c                   elements of initial hessian matrix
-c           MXN - maximal overall number of function calls
-c
-c  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
-c           NFUN  - overall number of function calls used
-c  
-c  ARRAYS:  H - approximate hessian matrix in symmetric storage
-c               (dimension N(N+1)/2)
-c           W,D,XA,XB,GA,GB - dimension N
-c
-c  CALLS:   MOVE - external to calculate function for current X
-c                  and its gradients
-c           MC11E- solve system H*D=-G for search direction D, where
-c                  H is given in Cholesky-factorization
-c           MC11A- update H using BFGS formula, factorizise new H
-c                  according to Cholesky (modified to maintain its
-c                  positive definiteness)
-c
-c  PARAMETERS:
-c  
-c  EPS1 - checks reduction of FUNC during line search
-c         ( 0.0001 <= EPS1 < 0.5 )
-c  EPS2 - controls accuracy of line search (reduce to increase
-c         accuracy; EPS1 < EPS2 <= 0.9 )
-c  ACUR - fractional precision for determination of variables
-c         (should not be smaller than sqrt of machine accuracy)
-c  TINY - prevent division by zero during cubic extrapolation
-c .............................................................
+     &                  nfun)
+
+! .............................................................
+!  PURPOSE: Quasi-Newton minimizer
+!
+!           Unconstrained local minimization of function FUNC
+!           vs. N variables by quasi-Newton method using BFGS-
+!           formula to update hessian matrix; approximate line
+!           searches performed using cubic extra-/interpolation
+!           [see Gill P.E., Murray W., Wright M.H., Practical
+!            Optimization, Ch. 2.2.5.7, 4.3.2.1 ff.,4.4.2.2.,
+!            4.5.2.1]
+!
+!  INPUT:   X,F,G - variables, value of FUNC, gradient at START
+!           SCAL  - factors to reduce(increase) initial step &
+!                   its lower bound for line searches, diagonal
+!                   elements of initial hessian matrix
+!           MXN - maximal overall number of function calls
+!
+!  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
+!           NFUN  - overall number of function calls used
+!  
+!  ARRAYS:  H - approximate hessian matrix in symmetric storage
+!               (dimension N(N+1)/2)
+!           W,D,XA,XB,GA,GB - dimension N
+!
+!  CALLS:   MOVE - external to calculate function for current X
+!                  and its gradients
+!           MC11E- solve system H*D=-G for search direction D, where
+!                  H is given in Cholesky-factorization
+!           MC11A- update H using BFGS formula, factorizise new H
+!                  according to Cholesky (modified to maintain its
+!                  positive definiteness)
+!
+!  PARAMETERS:
+!  
+!  EPS1 - checks reduction of FUNC during line search
+!         ( 0.0001 <= EPS1 < 0.5 )
+!  EPS2 - controls accuracy of line search (reduce to increase
+!         accuracy; EPS1 < EPS2 <= 0.9 )
+!  ACUR - fractional precision for determination of variables
+!         (should not be smaller than sqrt of machine accuracy)
+!  TINY - prevent division by zero during cubic extrapolation
+! .............................................................
 
       implicit real*8 (a-h,o-z)
@@ -60,18 +60,18 @@
 
       parameter ( eps1=0.1d0,
-     #            eps2=0.7d0,
-     #            tiny=1.d-32,
-
-     #            zero=0.d0,
-     #            izero=0,
-     #            ione=1 )
+     &            eps2=0.7d0,
+     &            tiny=1.d-32,
+
+     &            zero=0.d0,
+     &            izero=0,
+     &            ione=1 )
 
       dimension x(mxn),g(mxn),scal(mxn),h(mxn*(mxn+1)/2),d(mxn),w(mxn),
-     #          xa(mxn),ga(mxn),xb(mxn),gb(mxn)
+     &          xa(mxn),ga(mxn),xb(mxn),gb(mxn)
 
       nfun=0
       itr=0
       dff=0.
-c _______________ hessian to a diagonal matrix depending on scale
+! _______________ hessian to a diagonal matrix depending on scale
       c=0.
       do i=1,n
@@ -102,5 +102,5 @@
     2 itr=itr+1    ! Start New Line-search from A
 
-c ______________ search direction of the iteration
+! ______________ search direction of the iteration
       do i=1,n
         d(i)=-ga(i)
@@ -126,5 +126,5 @@
       steplb=acur*c       ! lower bound on step
 
-c ________________________ initial step of the line search
+! ________________________ initial step of the line search
       if (dff.gt.0.) then
         step=min(1.d0,(dff+dff)/(-dga))
@@ -134,5 +134,5 @@
 
     3 if (nfun.ge.maxfun) then
-cc        write (*,*) ' minfor> exceeded max. number of function calls'
+!c        write (*,*) ' minfor> exceeded max. number of function calls'
         return
       endif
@@ -159,5 +159,5 @@
           if (gl2.ge.gl1) goto 4
         endif
-c ______________ store function value if it is smallest so far
+! ______________ store function value if it is smallest so far
         f=fb
         do i=1,n
@@ -182,5 +182,5 @@
         stepub=stepub-step      ! new upper bound on step
 
-c _______________________________ next step by extrapolation
+! _______________________________ next step by extrapolation
         if (stepub.gt.0.) then
           step=.5*stepub
@@ -244,9 +244,9 @@
       return
       end
-c ***********************************************
+! ***********************************************
       subroutine mc11a(a,n,mxn,z,sig,w,ir,mk,eps)
-c
-c CALLS: none
-c
+!
+! CALLS: none
+!
       implicit real*8 (a-h,o-z)
       implicit integer*4 (i-n)
@@ -368,9 +368,9 @@
       return
       end
-c ************************************
+! ************************************
       subroutine mc11e(a,n,mxn,z,w,ir)
-c
-c CALLS: none
-c
+!
+! CALLS: none
+!
       implicit real*8 (a-h,o-z)
       implicit integer*4 (i-n)
